unit MainUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, CheckLst;

type
  TForm1 = class(TForm)
    CheckListBox1: TCheckListBox;
    Label1: TLabel;
    OKButton: TButton;
    procedure OKButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.OKButtonClick(Sender: TObject);
var
 i:Integer;
 Str:String;
begin
 Str:='Вы выбрали ';
 for i:=0 to CheckListBox1.Items.Count-1 do
  if CheckListBox1.Checked[i] then
   Str:=Str+CheckListBox1.Items[i]+' ';

 Application.MessageBox(PChar(Str), 'Внимание!!!');
end;

end.
